Documentation Index

Fetch the complete documentation index at: https://docs.plainid.io/llms.txt

Use this file to discover all available pages before exploring further.

Update Scope ID

Prev Next
Patch
/api/1.0/scopes/{envId}/{scopeId}

This API call updates a Scope by replacing its scopeId.

Path parameters
envId
string (uuid) Required

The Environment ID can be found under the Details Tab in the Environment Settings.

Example550e8400-e29b-41d4-a716-446655440000
scopeId
stringRequired

Scope ID can be found in the Scope Details in the Platform Environment Settings.

Max length128
Pattern^[a-zA-Z0-9_:.-]+$
Examplecustomer-api
Body parameters
rename
[
  {
    "op": "replace",
    "path": "/scopeId",
    "value": "customer-api-v2"
  }
]
Array of object

Scope patch. Only replacing scopeId is supported.

Min items1
Max items1
object
op
string Required
Valid values[ "replace" ]
path
string Required
Valid values[ "/scopeId" ]
value
string Required
Max length128
Pattern^[a-zA-Z0-9_:.-]+$
Examplecustomer-api-v2
Responses
204

Scope patched

400

Invalid request body.

object
code
string
message
string
details
string
403

Missing permission for the environment.

object
code
string
message
string
details
string
404

Scope not found.

object
code
string
message
string
details
string
500

Internal Server Error

© 2024 PlainID LTD. All rights reserved.